﻿using Hotline.Share.Dtos.Order;
using Hotline.Share.Enums.Order;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    public class TimeLimit: CreationEntity
    {

        public string TimeLimitName { get; set; }

        public string WorkflowName { get; set; }
        
        public string WorkflowCode { get; set; }

        public ETimeLimitState TimeLimitState { get; set; }

        [SugarColumn(ColumnDataType = "longtext", IsJson = true,IsNullable = true)]
        public List<ParamTypeModel>? ParamArr { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDataType = "longtext", IsJson = true,IsNullable = true)]
        public List<PriorityModel>? Priority { get; set; }

        /// <summary>
        /// 组合
        /// </summary>
        [SugarColumn(ColumnDataType = "longtext", IsJson = true,IsNullable = true)]
        public List<CombinationModel>? Combination { get; set; }


    }
}
